<div class="modal-header">
  <h5 class="modal-title" id="exampleModalLabel"><%= @modal_title.nil? ? Labels::QqoqcpConfig.model_name.human : @modal_title %></h5>
  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
    <span aria-hidden="true">&times;</span>
  </button>
</div>

<%= form_with url: labels_qqoqcp_config_add_line_valid_path, method: :patch, local: true do |form| %>
  <div class="modal-body">
    <%= hidden_field_tag 'id', qqoqcp_config.id %>

    <table>
      <% qqoqcp_lines.each do |qqoqcp_line| %>
        <tr>
          <td style='padding: 5px 15px;'><%= qqoqcp_line.name %> - <%= qqoqcp_line.internal_name %></td>
          <td class='radio-item radio-item-valid'>
              <%= radio_button_tag "[dec_mat_crit][#{qqoqcp_line.id}]", 'true', qqoqcp_config.qqoqcp_lines.include?(qqoqcp_line) ? true : false, class: 'radio dec-mat-radio radio-inprogress' %>
              <label for="_dec_mat_crit_<%=qqoqcp_line.id%>_true"></label>
          </td>
          <td class='radio-item radio-item-invalid'>
            <%= radio_button_tag "[dec_mat_crit][#{qqoqcp_line.id}]", 'false', qqoqcp_config.qqoqcp_lines.include?(qqoqcp_line) ? false : true, class: 'radio dec-mat-radio radio-valid' %>
            <label for="_dec_mat_crit_<%=qqoqcp_line.id%>_false"></label>
          </td>
        </tr>
      <% end %>
    </table>
  </div>

  <div class="modal-footer">
    <div class="form-actions">
      <%= submit_tag 'Valid', class: 'btn btn-warning' %>
    </div>
  </div>
<% end %>
